﻿using System.Threading.Tasks;
using Microsoft.WindowsAzure.MobileServices;

namespace wAzureAppWp8.ObjectModel
{
    public class AuthenticationHelper
    {
        public bool IsAuthenticated
        {
            get { return App.MobileService.CurrentUser != null; }
        }

        public async Task LoginAsync()
        {
            await App.MobileService.LoginAsync(MobileServiceAuthenticationProvider.Twitter);
            
        }

        public void Logout()
        {
            App.MobileService.Logout();
        }

        public static readonly AuthenticationHelper Instance = new AuthenticationHelper();
    }
}
