﻿using System;
using System.Diagnostics;
using Caliburn.Micro;

namespace wAzureAppWp8.ObjectModel
{
    public class Logger : ILog
    {
        public void Error(Exception exception)
        {
            Debug.WriteLine("Error -- Exception:\r\n" + exception.ToString());
        }

        public void Info(string format, params object[] args)
        {
            Debug.WriteLine("Info -- " + string.Format(format, args));
        }

        public void Warn(string format, params object[] args)
        {
            Debug.WriteLine("Warning -- " + string.Format(format, args));
        }
    }
}
